Bug 175551 - Review Request: asa - Convert Fortran carriage control characters
Review Request: asa - Convert Fortran carriage control characters
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-12-12 13:41 EST by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-29 16:31:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2005-12-12 13:41:34 EST
SRPM Name or Url: http://www.environnement.ens.fr/docs/fc-srpms/asa-1.2-1.src.rpm
Description: 

A POSIX.2 compliant asa(1), for converting Fortran carriage control
characters to line printer control characters.
Comment 1 Patrice Dumas 2006-01-29 06:12:40 EST
I made a mistake in the srpm url, it is
http://www.environnement.ens.fr/perso/dumas/fc-srpms/asa-1.2-1.src.rpm
Comment 2 John Mahowald 2006-01-29 14:59:32 EST
To clarify, the use of the Debian archive because it has the latest 1.2?

Good:

- rpmlint checks clean
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on FC4 i386
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

APPROVED

Comment 3 Ed Hill 2006-01-29 15:02:59 EST
Hi Patrice, I think this is a candidate for the simplest and smallest 
package submitted to Fedora Extras.  And it looks like you've done it 
correctly:

 + source matches upstream
 + very simple (almost trivial) package
 + spec looks clean & good -- no obvious errors
 + builds on FC4
 + rpmlint reports no errors or warnings
 + license is correct and correctly included

so its APPROVED.
Comment 4 Ed Hill 2006-01-29 15:08:39 EST
Hi John, you beat me to it by a few minutes so you clearly get credit for 
the review here.  And I apologize for hitting the "submit anyway" button 
without paying closer attention to what was going on.  I've re-assigned 
the bug back to you so it should be un-done.

And, anyway, its nice to see that we agree...  :-)
Comment 5 Patrice Dumas 2006-01-29 16:31:58 EST
I used the 1.2 from debian as I couldn't find it anywhere else and it has some
fixes with regard with 1.1, especially in the Makefile.

This is my first doubly approved package. Maybe because it is such a complex
package? ;-)

Note You need to log in before you can comment on or make changes to this bug.